Click Clock by Mike Robinson

Software by Mike Robinson
Click Clock
Clock, Calendar, Weather, Astronomy, and much more
Download Download Download Download Home Home Purchase Purchase
ClickClock is a an award-winning clock, calendar, weather, radar, satellite, and astronomy program. It provides easy access to all sorts of useful information. It shows your local temperature and weather at the top of the clock and in the Windows tray in the lower right desktop:

It also shows local weather, animated weather radar, animated satellite images, date and time of sunrise, sunset, moonrise, moonset, equinoxes & solstices, moon phases, eclipses, meteor showers, daylight saving time, and 27 holidays.

It shows the location of the sun, moon, and all of the planets. It can display this information for any day from the year 1600 to 3429.

It also has links to maps, aerial photos, topographic maps, dictionary, thesaurus, images of the moon, meteor info, Google search, and a calculator.

It displays a picture of the current moon phase in the program, on the task bar, in the tray, and in the window icons. Just click on a day in the calendar and all of the info for that day are calculated and displayed. The images of the moon can be animated to show the changing phases. Even the tray icon can be animated.

It presents positions in the sky as a simple compass position and angle up from the horizon.

The main display is a clock and calendar showing one month but it also contains a calendar screen showing the entire year.

By double-clicking on the program you can change its size and appearance, hence the name ClickClock. The clock can automatically synchronize the computer clock with any atomic clock time server on the internet.

The astronomy code in ClickClock is extremely accurate. All of the event times, such as sunrise and sunset, are accurate to within 1 minute of values published on the US Naval Observatory web site at http://aa.usno.navy.mil/data/ Click Clock is unique in that the calculation of rise and set times takes into account your altitude above sea level which can change these times by several minutes. It also has a unique graph of sunrise and set times throughout the entire year.

This is a 32-bit program and will run on Windows ME, NT, 2000, XP, Vista, Windows 7, Windows 8, and Windows 10. It also runs fine on 64-bit systems.

See the bottom of this page if you would like to purchase Click Clock for just $20.00 US Dollars. This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising. Here are some more screen shots showing all the features:

The following image is the main program screen showing all 4 panes. Starting at the top left there is a small icon that shows the phase of the moon. On the top line is the local temperature and weather conditions. Just below that is a menu for fast access to the full weather report, radar animation, satellite photo animation, map of your area, and the full year calendar. If you double-click anywhere in the main time or date panel the program will change size. On the top of the calendar section are two drop down combo boxes to select the month and year. To each side of these are small arrows pointing left and right. The left arrow moves the calendar to the previous month or year, and the right arrow moves to the next month or year. If you click on one of the dates in the calendar all of the moon/sun data is updated for that day. Both the month and full year calendar always show the same date. In other words clicking on a date in one causes the other to change as well. The calendar shows each of the major moon phases by displaying a tiny moon icon on the day when that phase occurs. In the lower right corner of the calendar is a "Go To" button that pops up the menu shown where you can select one of 27 holidays and other special dates and the calendars will jump to that date. The bottom left panel shows the time of sunrise and sunset. Single click on this panel and the detailed sun info panel pops up. Click it again and the sun info panel closes. Also on the bottom is the time of moonrise and moonset and if you click that panel the detailed moon panel pops up or down. When the sun or moon is up the text in the panel is black. When the sun or moon is set the text color is blue. In the lower right corner is an image of the moon showing the phase. Hover the cursor over one of these lower panels and a summary of the sun or moon info is briefly displayed in a flyover hint panel.

The MOON panel shows the time and compass location of moonrise and moonset, the current compass position of the moon, the elevation angle of the Moon in degrees up from the horizon, a picture of the moon phase, whether or not the moon is up, the percentage of the moon that is lit (full moon = 100%) and whether the moon is new, quarter, or full. The position of the moon is updated every second. There is a radio button to select northern or southern hemisphere and all of the moon displays change when this button is clicked. Click the Animate Moon check box and watch the moon progress through all phases. There are two buttons that pop up your browser and go to a site that shows exactly what the moon looks like today.

The SUN panel shows the time and compass location of sunrise and sunset, the current compass position of the sun, the elevation angle of the sun in degrees up from the horizon, whether or not the sun is up, and the length of daylight that day in hours and minutes (hh:mm). The position of the sun is updated every second. There is also a button to got to the US Naval Observatory (USNO) that provides many accurate astronomical facts and figures.

Along the right side are radio buttons for AM/PM time, 24 hour time, local time, or Greenwich Mean Time (also known as UTC Universal Coordinated Time). Click one of these and all of the displays are changed except the main time display will always be local AM/PM time. Below these are buttons to go to the previous day, today, the next day, and a drop-down button that pops up a menu to go to many different dates of holidays and astronomical events.

Below the moon panel are the PHASES of the moon for the month. If you click one of the moon phase buttons the calendar moves to the date of that phase and all of the displays are adjusted to that day.

Below the sun panel are the dates and times of the EQUINOXES and SOLSTICES for that year. Click one of these buttons (or titles) and the calendar moves to that date and the displays are adjusted.

Below that are the times of DAYLIGHT SAVINGS TIME in your location. It does this automatically anywhere in the world based on the settings in Microsoft Windows. If you click on one of the daylight savings buttons (red arrows) the calendar moves to the date of the start or end of daylight savings time and all of the displays are adjusted to that day.

On the bottom left are your location, latitude, longitude, and elevation in feet above sea level. Click the SET button to change these.

On the bottom right are buttons to get a map of your area or go to the MAP tab where you can choose from many different map sites on the internet. Click on one of the 3 logos and you can see maps from MapQuest, TerraServer, or TopoZone. Click any of these logos or buttons and your browser will open, go to the site on the internet, and automatically display your area based on your latitude and longitude.

The PLANET panel shows the location in the sky of the sun, moon, and all the planets updated every 5 seconds. Click on the box at the top to change the coordinates displayed. Earth Surface Coordinates (Topocentric) are relative to your location on the surface of the earth. To find a planet in the sky look in the compass direction shown (Azimuth) at the angle in degrees up from the horizon shown (Altitude). If the angle is negative the planet is below the horizon. The compass positions are true and are not corrected for the difference between magnetic north and true north. If you switch to Astronomical Coordinates it shows all of the coordinates as relative to the center of the earth (Geocentric) as RA (Right Ascension in hours from the vernal equinox along the celestial equator) and Declination (in degrees from the equator). All of the coordinates are to the center of the target planet.

The METEORS panel shows the date of the peak of each of the 9 major meteor showers each year. Click on one of the buttons (or titles) and two things happen: your browser opens and goes to an external site with information about the meteor shower and the calendar jumps to the date of the meteor shower. The radio buttons allow you to select either of 2 external sites. There are usually meteors visible for several days before and after the peak date.

The ECLIPSES panel shows the time and date of every solar and lunar eclipse that year. Click on the box at the top to change from a summary view to a detailed view showing the time of each portion of the eclipse. Click on one of the buttons (or titles) and the calendar jumps to the date of that eclipse.

Click the View Sky button and your browser will open and go to a web site that shows the all the stars in a virtual image of the sky in your location.

The WEATHER tab uses the internet to download your local weather report. What you see is a simple web browser. Enter your location in the box at the top in the form "city, state" such as "Boston, MA" for example. Or type in your US Zip Code (5 digits only). Using the drop-down box on the left you can choose a weather site on the web. Then press the Get Weather button on the left. Once you are at a site you can move around as usual by clicking links. You can also enter any site you like on the URL address line and then press the Save Address button and ClickClock will always show that site when you go to this tab. Click the Open Browser button and your browser opens at the site.

The RADAR tab downloads a NEXRAD (NEXt-Generation Weather RADar) map from the NWS (National Weather Service). Select your location in the top left drop-down box. Use the top right drop-down box to select one of 7 radar types: Reflectivity Long Range, Reflectivity Short Range, Composite Short range, 1 Hour rainfall, Storm Total Rainfall, Storm Relative Motion, and Base Velocity. Either reflectivity or composite is usually the best display. Then press the Get Radar button on the left. Click the Animate check box then Get Radar for an animated image. USA only. Right click to copy, save, or print the image. Using the top check boxes you can turn the layers of the radar display on and off as follows:

Topo - Shows topographic map background. If you turn this off the background will be the solid background color.

Radar - Main radar display. Keep this checked if you want to see radar!

Counties - Shows the boundaries between states and counties.

Rivers - Show rivers.

Highways - Show highways.

Cities - Show cities.

Warnings - Show severe weather warning boundaries. There are 4 warning types: tornado warning, severe weather warning, flash flood warning, and marine warning. Most of the time there are no warnings. You will only see them when the weather is severe. They appear as colored outlines showing the areas of the map affected by the warning. If you are looking at animated radar, only the warnings on the last image are current.

Legend - Show the warning codes on the left, radar intensity scale on the right, and the time/date and identification of the radar image on the top and bottom.

Range Ring - Shows an ellipse that indicates the limit of the area covered by that radar.

Warning Text - If there is a current weather warning, it is shown in large colored test on the upper left.

Tiny Circles - Shows a tiny black circle with a white interior that indicates the location of each radar station. On any of the maps if you click near one of these the radar display site changes to that radar station. You can also change to a nearby radar location by clicking one of the blue arrows on the right of the screen.

Click the USA Map button in the upper right and the radar for the entire USA is shown. Click on the map and the radar zooms in on the radar station for that area. It's fun to look at the entire USA and zoom in on interesting (severe) weather. Sometimes you can even see tornado warnings, particularly in "Tornado Alley" - the Midwest corridor north of Texas up through Oklahoma, Kansas, and Nebraska.

All of the animation controls are in a panel on the right edge of the screen.

Animate - Check this box for animated radar. Uncheck the box for a still radar image.

Repeat - Check this box to play the animation continuously.

The "ROCK" or "LOOP" button changes the direction of the repeating animation. LOOP runs from beginning to end and then loops back to the beginning. ROCK plays from beginning to end and then rocks backwards from end to beginning.

Use the arrows in the Speed control to make the radar animation speed faster or slower.

Use the Frames control to set the number of frames in the animation. The local sites in each state can play from 2 to 30 frames. The national radar displays are limited to 8 frames maximum.

The "Zoom In" or "Zoom Out" button allows you to zoom in on the radar, or zoom back out.

In the "Left Click" panel if the "Move Radar" circle is selected then a mouse left click on the radar moves to the closest radar station. If the "Distance" circle is selected then left-click on 2 locations on the radar map and the distance between the 2 points is shown in the lower right. This is useful for determining the distance to an approaching storm.

In the lower right are 2 links to get information about radar from the National Weather Service. Clutter is the false image you sometimes see as a large "cloud" around the radar site when the weather is quiet and there are no real radar disturbances. The scientific name is Anomalous Propagation (AP), a false reflectivity echo on radar, an echo that is not rain or other precipitation.

The "Show Hints" check-box in the lower right turns hints on and off.

As you move your mouse around over the radar image the latitude and longitude of the cursor position is continuously updated on the bottom of the screen. On the bottom right the name of the closest radar station is also shown.

On the bottom are buttons to Copy, Save, and Print the radar image. If the displayed image is animated the saved file will be an animated GIF file. The copied or printed image is always static.

The SATELLITE tab downloads an GOES (Geostationary Operational Environmental Satellite) image from the NOAA (National Oceanic and Atmospheric Administration). Click the Animate check box then Get Satellite for an animated image. USA only. On the bottom is a control to step through the animation frame-by-frame and a check box to repeat the animation in a continuous loop. Right click to copy, save, or print the image.

The TIME tab shows the local time, the time at Greenwich (GMT also known as UTC) , and the time at 7 widely separated major cities around the world. All updated once per second.

This screen also allows you to get the time from an internet time server and optionally sync your computer clock to the time server. You can do this by clicking the Get Time button or you can set it to update every time the program starts or every few minutes.

The "World Clock" button opens your web browser and goes to the World Clock web site with lots of information about the time in hundreds of different places around the world.

SET your latitude and longitude on the following SETTINGS1 sheet. A database of thousands places is included in the file SITENAME.DAT. ClickClock automatically reads this file if it is located in the same folder.

If you are in the USA just enter your ZIPCODE in the box at the top. Or you can pick a city near you in the drop-down list. Either way ClickClock looks up the longitude, latitude, and altitude. You can also type in your latitude and longitude yourself. Then click the save button and the data will be saved.

If you do not choose a location then ClickClock tries to guess where in the world you are located and picks the nearest large city and assumes you are there. For example, if your time zone (in MS Windows) indicates that you are 0 hours offset from GMT it puts in the latitude and longitude for London England. Perhaps you are not there exactly but it should be close to where you are. You can then choose a closer city on this sheet or type in your precise coordinates.

You can also browse through the cities, click a city, and on the bottom it shows the distance to that city from your location and the distance between the last two cities selected. Press the Get Weather button to get the current weather conditions from a global METAR site. Then press Save in the Location Used For Temperature box and this METAR site will be used to update the local temperature display in the tray and the top of the main program. On the top of this sheet you can also get maps of your saved location.

The SETTINGS2 sheet is shown below. The Internet Weather Server supplies the temperature and weather conditions you see in the tray on the lower right like this:

This is the same as the weather report on the lower left of the SETTINGS1 tab above. Check the boxes to retrieve the weather at startup and/or periodically such as every 20 minutes.

In the settings box, I recommend checking the boxes for "Minimize to Tray" and "Tray Temperature." Then you can see your temperature throughout the day in the tray on the lower right of your screen near the clock. When you need information just right click on the temperature and select from the menu.

Minimize to Tray - When minimized the program will only appear in the tray on the lower right and will not appear on the taskbar on the bottom. Check one of the tiny cicles to select the type of tray icon. It can be the temperature, the phase of the moon, or a constantly running animation of the moon phases.

Show Holidays - Highlights the US holidays in the month and year calendars.

Show Tiny Moons - Shows tiny moon phase icons on the month calendar.

Start Minimized - This program will minimize itself when it starts.

Run When Windows Starts - Check this box and this program will run every time you start your computer. I have my copy saved with the Weather tab visible so I see my weather report every time I start my PC. An alternate way to do this is to place a shortcut to this program (or any program) in your Windows Startup folder.

Save Settings On Exit - Setup the program the way you like it. Check this box and close the program. Then start the program and uncheck this box. Now the program will open the same way every time you start it. The program remembers the location on the screen and the tab selected.

Tray Temperature Color - Set the text color of the temperature display in the Tray.

Tray Temperature Background - Set the background color of the temperature display in the tray. This option does nothing if the Tray Transparent Background box below is checked.

Tray Transparent Background - Make the background of the temperature display in the tray transparent. The back ground color then becomes whatever color or color gradient is shown in your tray. If this box is not checked the background will be the color selected in Tray Temperature Background above.

A proxy server is NOT required on most home computers. Some corporations use a proxy server to provide security. You can get the proxy server information from your system administrator. If you are using a proxy server put in the information here and the program will direct the requests for internet data (radar, temperature, weather conditions) to the proxy server. The proxy server DNS name will often look something like this: 192.168.100.100. The proxy server port number should be 80.

The popup full YEAR calendar is below. Click on any day here and the smaller main month calendar on the main form also moves to this date and all the displays are adjusted. The calendar can be adjusted to start on any day of the week and to show the week numbers. Click on any day and the number of days from today is shown on the bottom left. On the bottom are the day number and week number of the day selected. Holidays are shown in a bold font.

The TOOL tab has a handy calculator. Right click to copy numbers to or from the Windows clipboard. It also has Google Search, a dictionary, and a thesaurus. These automatically open your browser to do a Google Search or lookup the word on the Merriam Webster web site.

The GRAPH tab shows an interesting display of the time (or location) of sunrise and sunset at your location throughout the entire year. Daylight hours are shown white, nighttime hours are gray. In the graph panel you can select the "Time" or "Position" circle. Click the checkboxes to show Daylight Savings time and lines that show the current date. Click on the graph and the calendars move to that date. Try the Equinox and Solstice buttons. Right click (or press the buttons) to copy, save, or print the graph.

The HOLIDAY tab shows all the US holidays for the entire year. Click on one of these and the displays change to the date of that holiday.

The MAPS tab can be used to get a map of your area from many locations on the web. The program already knows your latitude and longitude used for the location of the sun, moon, and planets. Click the Get Map button and it opens your browser and sends your coordinates to one of the map sites and retrieves a map of your area. Check the Auto Open box and when you select Map on the menu on top of the main clock it will open a map. If not checked it will take you to this tab to select a map. The Set button takes you to the Settings1 tab where you can change your location.

In several places there are buttons that say "GO TO" with a small arrow pointing down. Click on this button and a menu pops up where you can select any one of the following holidays. They are shown in approximate chronological order:

Click on one of these menu items and both the month and year calendars jump to that date. Very useful for holidays such as Easter that happen at a different time every year. ClickClock can tell you the date of Easter in every year from 1600 to 3429. The menu also displays options to jump to the date of:

All equinoxes and solstices that year.
All moon phases that month.
All solar and lunar eclipses that year.
All meteor showers that year.
Date of change to/from daylight savings time in your time zone.
Today. Useful to get back to today after jumping to other dates. ClickClock will automatically jump back to today if you don't manually pick a different day for 5 minutes.

When ClickClock closes it remembers all of its settings in the Windows Registry.

Why is the program called Click Clock?

Each time you double-click it adds pieces to the bottom and shows more information. Choose the display you like and it will appear that way every time you start the program. It will also appear in the same location on your screen.

Double-Click 1 Double-Click 2 Double-Click 3
Install

Run the program clickclock-setup.exe to install the program. The install program will overwrite any previous version so you are not required to uninstall older versions. The install program will create a folder, copy all the files to the folder, and create shortcuts on the desktop and the start menu.

An alternate install method is to download 2 files and copy them to a folder you create for this program. You need these 2 files:

clickclock.exe - This is the executable program.

sitename.dat - This file contains the latitude and longitude of thousands of cities around the world. The program reads this file and allows you to select your location. Place this sitename.dat file in the same folder with the program executable file clickclock.exe. The program will also run without this file. If you know your latitude and longitude you can type them into the program manually. The program uses your location to calculate the time of sun/moon rise/set and the positions of the planets in the sky. This database also contains the web locations of US weather reporting stations so you may want it for this reason as well.

I have also packaged all the files in a single zip file that you can download in one shot:

clickclock.zip

The Open SSL Shared Library files (libeay32.dll and ssleay32.dll) are no longer required.

You can also manually create your own Desktop Shortcut or other shortcut links.

UnInstall

Open Windows Control Panel, select Programs and Features, select the program in the list of programs, and click the uninstall button, or right click on the program and select Uninstall in the menu. The Windows uninstall system will then run and remove the program. These steps are for Windows 10 and may be slightly different in other Windows versions.

If you installed the program manually then delete the files to uninstall the program, and also delete any Desktop Shortcut or other shortcut links.

Then delete this entire key in the Windows Registry :

HKEY_CURRENT_USER\SOFTWARE\Michael_Robinson\ClickClock

Legal Stuff

This program is Copyright © 2000 Michael Robinson. All Rights Reserved. Use this program at your own risk. If you purchase this program and are not satisfied with it for any reason I will refund your money. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the executable file is prohibited.

Revision History

2.3.0 Sep 30, 2006 Updated for new NWS radar
2.3.7 Feb 18, 2007 Updated for Windows Vista
2.3.8 Mar 3, 2007 More Windows Vista updates
2.4.0 Apr 22, 2007 New compiler for Vista
2.5.0 May 5, 2007 Tray temperature color options
2.6.0 Jun 10, 2007 Added more satellite views
2.7.0 Jul 28, 2007 Multi-thread for faster loading
2.7.2 Aug 25, 2007 New NWS radar warning messages & colors
2.7.6 Jan 25, 2008 Updated/added map & other links
2.8.0 May 12, 2008 Long range radar fixed
2.9.0 May 26, 2008 Fixed serial number check on paid copies
2.9.4 Jun 15, 2008 Added more satellite views, fixed calculator
2.9.5 Jun 20, 2008 Added UK satellite views
2.9.6 Aug 11, 2008 Fixed radar flash flood text warning
2.9.7 Jul 19, 2009 Fixed serial number check on paid copies
2.9.8 Sep 15, 2012 New NWS radar server address
2.9.9 Nov 22, 2012 Updated weather & map links
3.0.0 Jan 30, 2013 Fixed daylight time Central America
3.0.1 Jul 13, 2013 Fixed divide by zero error in get weather
3.0.4 Aug 16, 2016 New NWS weather/temperature server address
3.1.0 Mar 6, 2017 New NWS Radar Server SSL protocol
3.2.0 Apr 14, 2018 Fixed NWS Radar
3.3.0 Feb 8, 2019 Fixed tray temperature display

Purchase

If you purchase this program and are not satisfied with it for any reason I will refund your money.

This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

The purchase price is $20.00 US Dollars. I accept major credit cards, PayPal , or personal checks. Pay once and all future upgrades are free.

Pay with credit card or PayPal Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. I have been using PayPal for over 16 years.

I use PayPal because the fees are low. If you send me $20.00 PayPal only takes about $1.00 so I net $19.00. All other payment services take several dollars so I would have to charge around $25 for my program to gain the same net. This lowers the cost to you. PayPal is usually free for most transactions, such as Ebay auction payments, but as a business I am required to have a Premier Account with fees. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card. PayPal does not charge you any fees for this. PayPal is a very secure and reliable payment system used by millions of people around the world.

elegantpie@hotmail.com

http://www.elegantpie.com